<template>
  <div ref="errorblock">
    <div class="warning-red-block" v-if="Object.keys(errors).length > 0"> <!--v-if="Object.keys(errors).length > 0"-->
      <div class="close" @click="close"></div>
      <!--<div class="header">При заполнении формы были допущены ошибки</div>-->
      <ul class="without-marker">
        <li v-for="(errorText) in errors">{{ errorText.message }}</li>
      </ul>
    </div>
  </div>
</template>

<script>
  import {UNSET_ERRORS} from '@/store/mutation-types'

  export default {
    name: 'error-block',
    methods: {
      close: function () {
        this.$store.commit(UNSET_ERRORS)
        this.$emit('clear')
      }
    },
    props: ['errors']
  }
</script>

<style scoped>

</style>
